%define	major		12
%define libname		%mklibname exif %{major}
%define develname	%mklibname exif -d
%define langname	libexif-%{major}

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.25
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://libexif.github.io/
%global tarball_version %(echo %{version} | sed -e 's|\\.|_|g')
Source:		https://github.com/libexif/libexif/archive/libexif-%{tarball_version}-release.tar.gz
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libtool

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n	%{name}%{major}-common
Summary:	Library to access EXIF files - Translations
Group:		System/Internationalization

%description -n	%{name}%{major}-common
This package contains the translations for %{name}%{major}.

%package -n	%{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif = %{version}-%{release}
Requires:	%{name}%{major}-common = %{version}-%{release}
Group:		System/Libraries

%description -n	%{libname}
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n	%{develname}
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Group:		Development/C

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.


%prep
%autosetup -p1 -n libexif-libexif-%{tarball_version}-release

%build
autoreconf -vfi

%configure \
	--disable-static
%make_build

%check
%__make check

%install
%make_install

%find_lang %{langname}

%files -n %{name}%{major}-common -f %{langname}.lang

%files -n %{libname}
%{_libdir}/libexif.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/libexif
%{_libdir}/libexif.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Jan 20 2025 daviddavid <daviddavid> 0.6.25-1.mga10
+ Revision: 2139952
- new version: 0.6.25

* Fri Mar 18 2022 umeabot <umeabot> 0.6.24-2.mga9
+ Revision: 1798841
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 mrambo3501 <mrambo3501> 0.6.24-1.mga9
+ Revision: 1769822
- version 0.6.24

* Sun Sep 26 2021 luigiwalser <luigiwalser> 0.6.23-1.mga9
+ Revision: 1746529
- 0.6.23
- update Source URL
- remove upstream CVE patches

* Thu Nov 12 2020 ns80 <ns80> 0.6.22-3.mga8
+ Revision: 1644790
- add Ubuntu patch for CVE-2020-0452 (mga#27592)

* Sat Jun 20 2020 ns80 <ns80> 0.6.22-2.mga8
+ Revision: 1598143
- add upstream patch for CVE-2020-0198 (mga#26814)

* Thu May 21 2020 neoclust <neoclust> 0.6.22-1.mga8
+ Revision: 1586710
- New version 0.6.22

* Thu May 21 2020 ns80 <ns80> 0.6.21-18.mga8
+ Revision: 1586606
- add upstream patch for CVE-2020-0093 (mga#26650)

* Sun May 17 2020 neoclust <neoclust> 0.6.21-17.mga8
+ Revision: 1585322
- Add P6 to Fix CVE-2020-12767

* Tue Feb 18 2020 umeabot <umeabot> 0.6.21-16.mga8
+ Revision: 1538106
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 13 2019 ns80 <ns80> 0.6.21-15.mga8
+ Revision: 1459793
- add a patch for CVE-2019-9278 (mga#25674)

* Sat Feb 16 2019 luigiwalser <luigiwalser> 0.6.21-14.mga7
+ Revision: 1367612
- add patches from fedora to fix CVE-2018-20030

* Sun Sep 23 2018 umeabot <umeabot> 0.6.21-13.mga7
+ Revision: 1298834
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 0.6.21-12.mga7
+ Revision: 1244921
- disable static build and drop .la files
+ kekepower <kekepower>
- Use new make macros

* Sun Jan 28 2018 luigiwalser <luigiwalser> 0.6.21-11.mga7
+ Revision: 1197871
- add patch from opensuse to fix CVE-2017-7544

* Thu Dec 28 2017 luigiwalser <luigiwalser> 0.6.21-10.mga7
+ Revision: 1186153
- add patch from fedora to fix CVE-2016-6328
+ danf <danf>
- Updated URL

* Tue Feb 02 2016 umeabot <umeabot> 0.6.21-9.mga6
+ Revision: 932838
- Mageia 6 Mass Rebuild
+ wally <wally>
- drop ancient and unneeded conflicts/obsoletes/provides

* Wed Oct 15 2014 umeabot <umeabot> 0.6.21-8.mga5
+ Revision: 748242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.21-7.mga5
+ Revision: 681449
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.21-6.mga4
+ Revision: 506953
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.21-5.mga3
+ Revision: 357074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.6.21-4.mga3
+ Revision: 339223
- fix automake/libtoolize invocations

* Fri Nov 30 2012 ovitters <ovitters> 0.6.21-3.mga3
+ Revision: 323374
- clean spec
- update rpm group

* Thu Jul 26 2012 luigiwalser <luigiwalser> 0.6.21-2.mga3
+ Revision: 274556
- use make check during build (mga #6777)

* Fri Jul 13 2012 luigiwalser <luigiwalser> 0.6.21-1.mga3
+ Revision: 270502
- 0.6.21 (fixes several security issues)

* Mon Jan 10 2011 dmorgan <dmorgan> 0.6.20-1.mga1
+ Revision: 5494
- imported package libexif


* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0.6.20-1mdv2011.0
+ Revision: 622368
- update to new version 0.6.20

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.19-2mdv2011.0
+ Revision: 601044
- rebuild

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.19-1mdv2010.1
+ Revision: 465749
- update to new version 0.6.19

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.18-1mdv2010.1
+ Revision: 462739
- Update to new version 0.6.18

* Sun Oct 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-6mdv2010.0
+ Revision: 453718
- Rebuild for missing packages

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.17-5mdv2010.0
+ Revision: 425538
- rebuild

* Wed Apr 08 2009 Pascal Terjan <pterjan@mandriva.org> 0.6.17-4mdv2009.1
+ Revision: 365187
- Add missing conflict for upgrade from 2009.0

* Sun Nov 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-3mdv2009.1
+ Revision: 308453
- Protect major in file list
- Fix license
- Move i18n files to libexif12-common: the mo file names contain the
  library's major. Add necessary obsoletes, conflicts and requires tags
  in order to make upgrades work correctly
- Prevent duplicate installation of doc files

* Sat Nov 29 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-2mdv2009.1
+ Revision: 307969
- Create binary libexif package containing translations (bug #35369)
- Remove now unneeded perl hack in SPEC file (thanks to Dan Fandrich)

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-1mdv2009.1
+ Revision: 304462
- New version 0.6.17
- Remove 2 patches for CVE fixed upstream

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.16-6mdv2009.0
+ Revision: 229910
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jan 25 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.16-4mdv2008.1
+ Revision: 157942
- Added patches for CVE-2007-6351 and CVE-2007-6352. Closes: #36620

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.6.16-3mdv2008.1
+ Revision: 150557
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.16-2mdv2008.0
+ Revision: 57206
- fix files - move all non-library files to the -devel package (#31077)
- new devel policy
- specify license LGPLv2.1
- spec clean

* Thu Jun 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.16-1mdv2008.0
+ Revision: 42327
- New upstream: 0.6.16

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.14-1mdv2008.0
+ Revision: 27432
- New upstream: 0.6.14
- Use -p switch for post scripts that only runs ldconfig
- Specfile cleanup
- Improved i18n handling.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.13-4mdv2007.0
+ Revision: 109120
- Fixed devel group. Closes: #28141

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.13-3mdv2007.1
+ Revision: 63431
- fix the spec file
- bunzip patches
- Import libexif

* Mon Jun 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.13-2
- patch0: fix include dir in pkgconfig file

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 0.6.13-1mdk
- Updated to version 0.6.12.
- Removed patch 1 (merged upstream).
- Added API documentation to -devel package.
- Introduced %%{1}mdv2007.1.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.12-3mdk
- Rebuild

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.6.12-2mdk
- try to fix gimp crashes (bug #16618)
- configure 2.5

* Tue Jun 28 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.12-1mdk
- Updated to version 0.6.12.
- Removed Patch0 (merged upstream).

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.11-2mdk
- SECURITY FIX: Fixed MDKSA-2005:064 (bug 15139).

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.11-1mdk
- Updated to version 0.6.11.

